## GogErrorBar

GogErrorBar

## Functions

GogErrorBar * | gog_error_bar_dup ()
gboolean | gog_error_bar_get_bounds ()
void | gog_error_bar_get_minmax ()
gboolean | gog_error_bar_is_visible ()
gpointer | gog_error_bar_prefs ()
void | gog_error_bar_render ()

## Types and Values

| GogErrorBar
enum | GogErrorBarDirection
enum | GogErrorBarDisplay
enum | GogErrorBarType

## Object Hierarchy

        GObject
        ╰── GogErrorBar

## Implemented Interfaces

GogErrorBar implements GOPersist.

## Description

## Functions

### gog_error_bar_dup ()

    GogErrorBar *
    gog_error_bar_dup (GogErrorBar const *bar);

#### Parameters

bar | GogErrorBar |

#### Returns

the duplicated error bar.

[transfer full]

### gog_error_bar_get_bounds ()

    gboolean
    gog_error_bar_get_bounds (const GogErrorBar *bar,
                              int index,
                              double *min,
                              double *max);

If the value correponding to `index` is valid, fills min and max with the error values: -> positive_error in `max` . -> negative_error in `min` . If one of the errors is not valid or not defined, its value is set to -1.0.

#### Parameters

bar | A GogErrorBar |
index | the index corresponding to the value which error limits are |
min | where the minimum value will be stored |
max | where the maximum value will be stored |

#### Returns

`FALSE` if the `bar->type` is `GOG_ERROR_BAR_TYPE_NONE` or if the value is not valid, `TRUE` otherwise.

### gog_error_bar_get_minmax ()

    void
    gog_error_bar_get_minmax (const GogErrorBar *bar,
                              double *min,
                              double *max);

### gog_error_bar_is_visible ()

    gboolean
    gog_error_bar_is_visible (GogErrorBar *bar);

### gog_error_bar_prefs ()

    gpointer
    gog_error_bar_prefs (GogSeries *series,
                         char const *property,
                         GogErrorBarDirection direction,
                         GogDataAllocator *dalloc,
                         GOCmdContext *cc);

#### Parameters

series | GogSeries |
property | the name of the `series` property correspondig to the GogErrorBar. |
direction | GogErrorBarDirection |
dalloc | GogDataAllocator |
cc | GOCmdContext |

#### Returns

the error bar properties GtkWidget.

[transfer full]

### gog_error_bar_render ()

    void
    gog_error_bar_render (const GogErrorBar *bar,
                          GogRenderer *rend,
                          GogChartMap *map,
                          double x,
                          double y,
                          double minus,
                          double plus,
                          GogErrorBarDirection direction);

Displays the error bar. If `plus` is negative, the positive side of the bar is not displayed, and if `minus` is negative, the negative side of the bar is not displayed. x_map and y_map are used to convert coordinates from data space to canvas coordinates. This function must not be called if gog_error_bar_get_bounds returned FALSE.

#### Parameters

bar | A GogErrorBar |
rend | A GogRenderer |
map | A GogChartMap for the chart |
x | x coordinate of the origin of the bar |
y | y coordinate of the origin of the bar |
plus | distance from the origin to the positive end of the bar |
minus | distance from the origin to the negative end of the bar |
direction | the GogErrorBarDirection for the bar. |

## Types and Values

### GogErrorBar

    typedef struct _GogErrorBar GogErrorBar;

### enum GogErrorBarDirection

#### Members

GOG_ERROR_BAR_DIRECTION_HORIZONTAL | horizontal (xy plots). |
GOG_ERROR_BAR_DIRECTION_VERTICAL | vertical (xy plots). |
GOG_ERROR_BAR_DIRECTION_ANGULAR | angular (polar plots). |
GOG_ERROR_BAR_DIRECTION_RADIAL | radial (polar plots). |

### enum GogErrorBarDisplay

#### Members

GOG_ERROR_BAR_DISPLAY_NONE | no display. |
GOG_ERROR_BAR_DISPLAY_POSITIVE | display positive deviations. |
GOG_ERROR_BAR_DISPLAY_NEGATIVE | display negative deviations. |
GOG_ERROR_BAR_DISPLAY_BOTH | display both positive and negative deviations. |

### enum GogErrorBarType

#### Members

GOG_ERROR_BAR_TYPE_NONE | No error bars. |
GOG_ERROR_BAR_TYPE_ABSOLUTE | Absolute errors. |
GOG_ERROR_BAR_TYPE_RELATIVE | Relative errors. |
GOG_ERROR_BAR_TYPE_PERCENT | Relative errors as percent. |